@import './quasar.variables.sass'
@import '~quasar-styl'

@import './background.sass'
@import './404.sass'
@import './adminTimetable.sass'
@import './map.sass'

.footer-icon
	margin-left: 2em

.footer-icon img
	max-height: 30px
	width: auto

.homelink, .attribution
	color: $white
	text-decoration: none

.attribution
	margin-right: 1em

#login-anim
	position: absolute

.sticky-header-column-table
	height: 310px

	max-width: 600px

	td:first-child
		background-color: $accent1 !important

	tr th
		position: sticky
		z-index: 2
		background: $secondary1

	thead tr:last-child th
		top: 48px
		z-index: 3
	thead tr:first-child th
		top: 0
		z-index: 1
	tr:first-child th:first-child
		z-index: 3

	td:first-child
		z-index: 1

	td:first-child, th:first-child
		position: sticky
		left: 0

.planner-timeline-accent, .planner-timeline-secondary
	font-weight: bold

.planner-timeline-accent
	color: $accent2

.planner-timeline-secondary
	color: $secondary2

.train-img
	width: 80%
	height: auto